# Observe

Observe employs the **http** output plugin, allowing you to flush your records [into Observe](https://docs.observeinc.com/en/latest/content/data-ingestion/forwarders/fluentbit.html).

For now the functionality is pretty basic and it issues a POST request with the data records in [MessagePack](http://msgpack.org) (or JSON) format.

The following are the specfic HTTP parameters to employ:

## Configuration Parameters

| Key          | Description                                                              | default                  |
| ------------ | ------------------------------------------------------------------------ | ------------------------ |
| host         | IP address or hostname of Observe's data collection endpoint             | collect.observeinc.com   |
| port         | TCP port of to employ when sending to Observe                            | 443                      |
| tls          | Specify to use tls                                                       | on                       |
| http\_user   | Basic Auth Username                                                      | ${OBSERVE\_CUSTOMER}     |
| http\_passwd | Basic Auth Password. Requires http\_user to be set                       | ${OBSERVE\_TOKEN}        |
| uri          | Specify the HTTP URI for the Observe's data ingest                       | /v1/http/fluentbit       |
| format       | The data format to be used in the HTTP request body                      | msgpack                  |
| header       | The specific header to instructs Observe how to decode incoming payloads | X-Observe-Decoder fluent |
| compress     | Set payload compression mechanism. Option available is 'gzip'            | gzip                     |
| tls.ca\_file | **For use with Windows**: provide path to root cert                      |                          |

### Configuration File

In your main configuration file, append the following *Input* & *Output* sections:

```
[OUTPUT]
    name         http
    match        *
    host         collect.observeinc.com
    port         443
    tls          on

    # For Windows: provide path to root cert
    #tls.ca_file  C:\td-agent-bit\isrgrootx1.pem

    http_user    ${OBSERVE_CUSTOMER}
    http_passwd  ${OBSERVE_TOKEN}
    uri          /v1/http/fluentbit

    format       msgpack
    header       X-Observe-Decoder fluent
    compress     gzip
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluentbit.io/manual/1.9/pipeline/outputs/observe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
